diff --git a/libglusterfs/src/gf-io-common.c b/libglusterfs/src/gf-io-common.c
index e1014099505..55c109720ab 100644
--- a/libglusterfs/src/gf-io-common.c
+++ b/libglusterfs/src/gf-io-common.c
@@ -497,8 +497,8 @@ gf_io_thread_join(pthread_t thread, struct timespec *timeout)
 {
 #ifdef GF_LINUX_HOST_OS
     if (timeout != NULL) {
-        gf_io_success(gf_io_call_ret(pthread_timedjoin_np, thread, NULL,
-                                     timeout));
+        gf_io_success(
+            gf_io_call_ret(pthread_timedjoin_np, thread, NULL, timeout));
 
         return;
     }
diff --git a/libglusterfs/src/gf-io-uring.c b/libglusterfs/src/gf-io-uring.c
index f116e2d013f..a37f56d589f 100644
--- a/libglusterfs/src/gf-io-uring.c
+++ b/libglusterfs/src/gf-io-uring.c
@@ -59,7 +59,10 @@
 #define GF_IO_URING_FLAG_TIMER GF_IO_ID_FLAG_1
 
 /* Helper macro to define names of bits. */
-#define GF_IO_BITNAME(_prefix, _name) { _prefix##_##_name, #_name }
+#define GF_IO_BITNAME(_prefix, _name)                                          \
+    {                                                                          \
+        _prefix##_##_name, #_name                                              \
+    }
 
 /* Structure to keep names of bits. */
 typedef struct _gf_io_uring_bitname {
@@ -170,8 +173,7 @@ gf_io_uring_dump_params(struct io_uring_params *params)
         GF_IO_BITNAME(IORING_SETUP, CLAMP),
         GF_IO_BITNAME(IORING_SETUP, ATTACH_WQ),
         GF_IO_BITNAME(IORING_SETUP, R_DISABLED),
-        {}
-    };
+        {}};
     static gf_io_uring_bitname_t feature_names[] = {
         GF_IO_BITNAME(IORING_FEAT, SINGLE_MMAP),
         GF_IO_BITNAME(IORING_FEAT, NODROP),
@@ -183,8 +185,7 @@ gf_io_uring_dump_params(struct io_uring_params *params)
         GF_IO_BITNAME(IORING_FEAT, SQPOLL_NONFIXED),
         GF_IO_BITNAME(IORING_FEAT, EXT_ARG),
         GF_IO_BITNAME(IORING_FEAT, NATIVE_WORKERS),
-        {}
-    };
+        {}};
 
     char names[256];
 
@@ -240,8 +241,7 @@ gf_io_uring_dump_ops(struct io_uring_probe *probe)
         [IORING_OP_TEE] = "TEE",
         [IORING_OP_SHUTDOWN] = "SHUTDOWN",
         [IORING_OP_RENAMEAT] = "RENAMEAT",
-        [IORING_OP_UNLINKAT] = "UNLINKAT"
-    };
+        [IORING_OP_UNLINKAT] = "UNLINKAT"};
 
     char names[4096];
     char *ptr;
@@ -874,5 +874,4 @@ const gf_io_engine_t gf_io_engine_io_uring = {
     .flush = gf_io_uring_flush,
 
     .cancel = gf_io_uring_cancel,
-    .callback = gf_io_uring_callback
-};
+    .callback = gf_io_uring_callback};
diff --git a/libglusterfs/src/gf-io.c b/libglusterfs/src/gf-io.c
index 5873d57e38b..eeafeaa5a2c 100644
--- a/libglusterfs/src/gf-io.c
+++ b/libglusterfs/src/gf-io.c
@@ -38,9 +38,7 @@ static const gf_io_engine_t *gf_io_engines[] = {
 #ifdef HAVE_IO_URING
     &gf_io_engine_io_uring,
 #endif
-    &gf_io_engine_legacy,
-    NULL
-};
+    &gf_io_engine_legacy, NULL};
 
 /* Allocate an array of objects in a memory mapped area. */
 #define gf_io_alloc_array(_ptr, _size)                                         \
@@ -374,9 +372,8 @@ GF_IO_CBK(gf_io_test_cancel, op, res, static)
 static int32_t
 gf_io_main(uint32_t workers, gf_io_handlers_t *handlers, void *data)
 {
-    static int32_t signals[] = {
-        SIGSEGV, SIGBUS, SIGILL, SIGSYS, SIGFPE, SIGABRT, SIGCONT, 0
-    };
+    static int32_t signals[] = {SIGSEGV, SIGBUS,  SIGILL,  SIGSYS,
+                                SIGFPE,  SIGABRT, SIGCONT, 0};
     gf_io_thread_pool_t pool;
     gf_io_thread_pool_config_t cfg;
     int32_t res;
diff --git a/libglusterfs/src/glusterfs/common-utils.h b/libglusterfs/src/glusterfs/common-utils.h
index 4a03d95ba65..e3c84705be8 100644
--- a/libglusterfs/src/glusterfs/common-utils.h
+++ b/libglusterfs/src/glusterfs/common-utils.h
@@ -1104,7 +1104,7 @@ __gf_thread_set_name(pthread_t thread, const char *name)
 #elif defined(HAVE_PTHREAD_SET_NAME_NP)
     pthread_set_name_np(thread, name);
     return 0;
-#else  /* none found */
+#else /* none found */
     return -ENOSYS;
 #endif /* set name */
 }
diff --git a/libglusterfs/src/glusterfs/compat.h b/libglusterfs/src/glusterfs/compat.h
index 3d1a0e47967..364b6f6f079 100644
--- a/libglusterfs/src/glusterfs/compat.h
+++ b/libglusterfs/src/glusterfs/compat.h
@@ -188,10 +188,10 @@ enum {
 #define F_GETLK64 F_GETLK
 #define F_SETLK64 F_SETLK
 #define F_SETLKW64 F_SETLKW
-#define FALLOC_FL_KEEP_SIZE 0x01      /* default is extend size */
-#define FALLOC_FL_PUNCH_HOLE 0x02     /* de-allocates range */
-#define FALLOC_FL_ZERO_RANGE 0x10     /* zeroes out range */
-#define FALLOC_FL_INSERT_RANGE 0x20   /* Expands the size */
+#define FALLOC_FL_KEEP_SIZE 0x01 /* default is extend size */
+#define FALLOC_FL_PUNCH_HOLE 0x02 /* de-allocates range */
+#define FALLOC_FL_ZERO_RANGE 0x10 /* zeroes out range */
+#define FALLOC_FL_INSERT_RANGE 0x20 /* Expands the size */
 #define FALLOC_FL_COLLAPSE_RANGE 0x08 /* Reduces the size */
 
 #ifndef _PATH_UMOUNT
@@ -498,7 +498,7 @@ dirname_r(char *path);
 #if defined(__GNUC__) && !defined(RELAX_POISONING)
 /* Use run API, see run.h */
 #include <stdlib.h> /* system(), mkostemp() */
-#include <stdio.h>  /* popen() */
+#include <stdio.h> /* popen() */
 #ifdef GF_LINUX_HOST_OS
 #include <sys/sysmacros.h>
 #endif
diff --git a/libglusterfs/src/glusterfs/gf-io.h b/libglusterfs/src/glusterfs/gf-io.h
index 730996d8e73..5ebb92498f7 100644
--- a/libglusterfs/src/glusterfs/gf-io.h
+++ b/libglusterfs/src/glusterfs/gf-io.h
@@ -110,14 +110,14 @@ typedef struct _gf_io_callback {
     const char *name;
     const char *file;
     uint32_t line;
-} *gf_io_callback_t;
+} * gf_io_callback_t;
 
 typedef struct _gf_io_async {
     int32_t (*func)(gf_io_op_t *op);
     const char *name;
     const char *file;
     uint32_t line;
-} *gf_io_async_t;
+} * gf_io_async_t;
 
 #define GF_IO_CBK(_name, _op, _res, _args...)                                  \
     static void __gf_io_cbk_##_name(gf_io_op_t *_op, int32_t _res);            \
@@ -125,8 +125,7 @@ typedef struct _gf_io_async {
         .func = __gf_io_cbk_##_name,                                           \
         .name = #_name,                                                        \
         .file = __FILE__,                                                      \
-        .line = __LINE__                                                       \
-    };                                                                         \
+        .line = __LINE__};                                                     \
     static void __gf_io_cbk_##_name(gf_io_op_t *_op, int32_t _res)
 
 #define GF_IO_ASYNC(_name, _op, _args...)                                      \
@@ -135,8 +134,7 @@ typedef struct _gf_io_async {
         .func = __gf_io_async_##_name,                                         \
         .name = #_name,                                                        \
         .file = __FILE__,                                                      \
-        .line = __LINE__                                                       \
-    };                                                                         \
+        .line = __LINE__};                                                     \
     static int32_t __gf_io_async_##_name(gf_io_op_t *_op)
 
 #define GF_IO_CBK_DECLARE(_name) extern const gf_io_callback_t _name
diff --git a/libglusterfs/src/glusterfs/glusterfs.h b/libglusterfs/src/glusterfs/glusterfs.h
index 2c0bc463c4a..422524f034f 100644
--- a/libglusterfs/src/glusterfs/glusterfs.h
+++ b/libglusterfs/src/glusterfs/glusterfs.h
@@ -284,7 +284,7 @@ enum gf_internal_fop_indicator {
 /* GlusterFS's maximum supported Auxiliary GIDs */
 #define GF_MAX_AUX_GROUPS 65535
 
-#define GF_UUID_BUF_SIZE 37          /* UUID_CANONICAL_FORM_LEN + NULL */
+#define GF_UUID_BUF_SIZE 37 /* UUID_CANONICAL_FORM_LEN + NULL */
 #define GF_UUID_BNAME_BUF_SIZE (320) /* (64 + 256) */
 
 #define GF_REBALANCE_TID_KEY "rebalance-id"
@@ -350,7 +350,7 @@ enum gf_internal_fop_indicator {
 #define GF_BACKTRACE_LEN 4096
 #define GF_BACKTRACE_FRAME_COUNT 7
 
-#define GF_LK_ADVISORY 0  /* maps to GLFS_LK_ADVISORY from libgfapi*/
+#define GF_LK_ADVISORY 0 /* maps to GLFS_LK_ADVISORY from libgfapi*/
 #define GF_LK_MANDATORY 1 /* maps to GLFS_LK_MANDATORY from libgfapi*/
 #define GF_LOCK_MODE "glusterfs.lk.lkmode"
 
@@ -442,9 +442,9 @@ const char *
 fop_enum_to_pri_string(glusterfs_fop_t fop);
 
 #define GF_SET_IF_NOT_PRESENT 0x1 /* default behaviour */
-#define GF_SET_OVERWRITE 0x2      /* Overwrite with the buf given */
+#define GF_SET_OVERWRITE 0x2 /* Overwrite with the buf given */
 #define GF_SET_DIR_ONLY 0x4
-#define GF_SET_EPOCH_TIME 0x8    /* used by afr dir lookup selfheal */
+#define GF_SET_EPOCH_TIME 0x8 /* used by afr dir lookup selfheal */
 #define GF_AUXILLARY_PARGFID 0xd /* RIO dummy parent gfid */
 
 /* key value which quick read uses to get small files in lookup cbk */
diff --git a/libglusterfs/src/glusterfs/iobuf.h b/libglusterfs/src/glusterfs/iobuf.h
index 53b73d7a8cc..3e7172edf0c 100644
--- a/libglusterfs/src/glusterfs/iobuf.h
+++ b/libglusterfs/src/glusterfs/iobuf.h
@@ -69,8 +69,8 @@ struct iobuf {
 
     void *ptr; /* usable memory region by the consumer */
 
-    void *free_ptr;   /* in case of stdalloc, this is the
-                         one to be freed */
+    void *free_ptr; /* in case of stdalloc, this is the
+                       one to be freed */
     size_t page_size;
 };
 
diff --git a/libglusterfs/src/glusterfs/libglusterfs-messages.h b/libglusterfs/src/glusterfs/libglusterfs-messages.h
index 8fb17aba9c7..f5df6dbaebc 100644
--- a/libglusterfs/src/glusterfs/libglusterfs-messages.h
+++ b/libglusterfs/src/glusterfs/libglusterfs-messages.h
@@ -46,14 +46,14 @@ GLFS_MSGID(
     LG_MSG_FD_CREATE_FAILED, LG_MSG_BUFFER_FULL, LG_MSG_FWRITE_FAILED,
     LG_MSG_PRINT_FAILED, LG_MSG_MEM_POOL_DESTROY,
     LG_MSG_EXPAND_CLIENT_TABLE_FAILED, LG_MSG_DISCONNECT_CLIENT,
-    LG_MSG_PIPE_CREATE_FAILED,
-    LG_MSG_REGISTER_PIPE_FAILED, LG_MSG_POLL_IGNORE_MULTIPLE_THREADS,
-    LG_MSG_INDEX_NOT_FOUND, LG_MSG_EPOLL_FD_CREATE_FAILED,
-    LG_MSG_SLOT_NOT_FOUND, LG_MSG_STALE_FD_FOUND, LG_MSG_GENERATION_MISMATCH,
-    LG_MSG_PTHREAD_KEY_CREATE_FAILED, LG_MSG_TRANSLATOR_INIT_FAILED,
-    LG_MSG_UUID_BUF_INIT_FAILED, LG_MSG_LKOWNER_BUF_INIT_FAILED,
-    LG_MSG_SYNCTASK_INIT_FAILED, LG_MSG_SYNCOPCTX_INIT_FAILED,
-    LG_MSG_GLOBAL_INIT_FAILED, LG_MSG_PTHREAD_FAILED, LG_MSG_DIR_IS_SYMLINK,
+    LG_MSG_PIPE_CREATE_FAILED, LG_MSG_REGISTER_PIPE_FAILED,
+    LG_MSG_POLL_IGNORE_MULTIPLE_THREADS, LG_MSG_INDEX_NOT_FOUND,
+    LG_MSG_EPOLL_FD_CREATE_FAILED, LG_MSG_SLOT_NOT_FOUND, LG_MSG_STALE_FD_FOUND,
+    LG_MSG_GENERATION_MISMATCH, LG_MSG_PTHREAD_KEY_CREATE_FAILED,
+    LG_MSG_TRANSLATOR_INIT_FAILED, LG_MSG_UUID_BUF_INIT_FAILED,
+    LG_MSG_LKOWNER_BUF_INIT_FAILED, LG_MSG_SYNCTASK_INIT_FAILED,
+    LG_MSG_SYNCOPCTX_INIT_FAILED, LG_MSG_GLOBAL_INIT_FAILED,
+    LG_MSG_PTHREAD_FAILED, LG_MSG_DIR_IS_SYMLINK,
     LG_MSG_RESOLVE_HOSTNAME_FAILED, LG_MSG_GETADDRINFO_FAILED,
     LG_MSG_GETNAMEINFO_FAILED, LG_MSG_PATH_ERROR, LG_MSG_INET_PTON_FAILED,
     LG_MSG_NEGATIVE_NUM_PASSED, LG_MSG_GETHOSTNAME_FAILED,
diff --git a/libglusterfs/src/glusterfs/mem-pool.h b/libglusterfs/src/glusterfs/mem-pool.h
index 29208dffa20..370f5ca220f 100644
--- a/libglusterfs/src/glusterfs/mem-pool.h
+++ b/libglusterfs/src/glusterfs/mem-pool.h
@@ -242,10 +242,10 @@ struct mem_pool {
     unsigned long count; /* requested pool size (unused) */
     char *name;
     char *xl_name;
-    gf_atomic_t active;     /* current allocations */
+    gf_atomic_t active; /* current allocations */
 #ifdef DEBUG
-    gf_atomic_t hit;        /* number of allocations served from pt_pool */
-    gf_atomic_t miss;       /* number of std allocs due to miss */
+    gf_atomic_t hit;  /* number of allocations served from pt_pool */
+    gf_atomic_t miss; /* number of std allocs due to miss */
 #endif
     struct list_head owner; /* glusterfs_ctx_t->mempool_list */
     glusterfs_ctx_t *ctx;   /* take ctx->lock when updating owner */
diff --git a/rpc/rpc-lib/src/protocol-common.h b/rpc/rpc-lib/src/protocol-common.h
index e98ae33fc2e..0d0fc45e295 100644
--- a/rpc/rpc-lib/src/protocol-common.h
+++ b/rpc/rpc-lib/src/protocol-common.h
@@ -330,16 +330,16 @@ enum gf_getspec_flags_type { GF_GETSPEC_FLAG_SERVERS_LIST = 1 };
 typedef enum gf_getspec_flags_type gf_getspec_flags_type;
 
 #define GLUSTER_HNDSK_PROGRAM 14398633 /* Completely random */
-#define GLUSTER_HNDSK_VERSION 2        /* 0.0.2 */
+#define GLUSTER_HNDSK_VERSION 2 /* 0.0.2 */
 
 #define GLUSTER_PMAP_PROGRAM 34123456
 #define GLUSTER_PMAP_VERSION 1
 
 #define GLUSTER_CBK_PROGRAM 52743234 /* Completely random */
-#define GLUSTER_CBK_VERSION 1        /* 0.0.1 */
+#define GLUSTER_CBK_VERSION 1 /* 0.0.1 */
 
 #define GLUSTER_FOP_PROGRAM 1298437 /* Completely random */
-#define GLUSTER_FOP_VERSION 330     /* 3.3.0 */
+#define GLUSTER_FOP_VERSION 330 /* 3.3.0 */
 #define GLUSTER_FOP_PROCCNT GFS3_OP_MAXVALUE
 
 #define GLUSTER_FOP_VERSION_v2 400 /* 4.0.0 */
@@ -350,13 +350,13 @@ typedef enum gf_getspec_flags_type gf_getspec_flags_type;
 
 /* Second version */
 #define GD_MGMT_PROGRAM 1238433 /* Completely random */
-#define GD_MGMT_VERSION 2       /* 0.0.2 */
+#define GD_MGMT_VERSION 2 /* 0.0.2 */
 
 #define GD_FRIEND_PROGRAM 1238437 /* Completely random */
-#define GD_FRIEND_VERSION 2       /* 0.0.2 */
+#define GD_FRIEND_VERSION 2 /* 0.0.2 */
 
 #define GLUSTER_CLI_PROGRAM 1238463 /* Completely random */
-#define GLUSTER_CLI_VERSION 2       /* 0.0.2 */
+#define GLUSTER_CLI_VERSION 2 /* 0.0.2 */
 
 #define GD_BRICK_PROGRAM 4867634 /*Completely random*/
 #define GD_BRICK_VERSION 2
diff --git a/rpc/rpc-lib/src/rpcsvc.h b/rpc/rpc-lib/src/rpcsvc.h
index 783289276b3..dfd527159b9 100644
--- a/rpc/rpc-lib/src/rpcsvc.h
+++ b/rpc/rpc-lib/src/rpcsvc.h
@@ -106,13 +106,13 @@ typedef enum {
 
 #define AUTH_NONE 0 /* no authentication */
 #define AUTH_NULL 0 /* backward compatibility */
-#define AUTH_SYS 1  /* unix style (uid, gids) */
+#define AUTH_SYS 1 /* unix style (uid, gids) */
 #define AUTH_UNIX AUTH_SYS
-#define AUTH_SHORT 2     /* short hand unix style */
-#define AUTH_DES 3       /* des style (encrypted timestamps) */
+#define AUTH_SHORT 2 /* short hand unix style */
+#define AUTH_DES 3 /* des style (encrypted timestamps) */
 #define AUTH_DH AUTH_DES /* Diffie-Hellman (this is DES) */
-#define AUTH_KERB 4      /* kerberos style */
-#endif                   /* */
+#define AUTH_KERB 4 /* kerberos style */
+#endif /* */
 
 typedef struct rpcsvc_program rpcsvc_program_t;
 
diff --git a/rpc/rpc-transport/socket/src/socket.c b/rpc/rpc-transport/socket/src/socket.c
index b79d56404de..1f22b5e65e9 100644
--- a/rpc/rpc-transport/socket/src/socket.c
+++ b/rpc/rpc-transport/socket/src/socket.c
@@ -4102,7 +4102,7 @@ threadid_func(CRYPTO_THREADID *id)
      */
     CRYPTO_THREADID_set_numeric(id, (unsigned long)pthread_self());
 }
-#else  /* older openssl */
+#else /* older openssl */
 static unsigned long
 legacy_threadid_func(void)
 {
@@ -4358,7 +4358,7 @@ ssl_setup_connection_params(rpc_transport_t *this)
                        "DH ciphers are disabled.",
                        dh_param, ERR_error_string(err, NULL));
             }
-#else  /* HAVE_OPENSSL_DH_H */
+#else /* HAVE_OPENSSL_DH_H */
             BIO_free(bio);
             gf_log(this->name, GF_LOG_ERROR, "OpenSSL has no DH support");
 #endif /* HAVE_OPENSSL_DH_H */
@@ -4385,7 +4385,7 @@ ssl_setup_connection_params(rpc_transport_t *this)
                        "ECDH ciphers are disabled.",
                        ec_curve, ERR_error_string(err, NULL));
             }
-#else  /* HAVE_OPENSSL_ECDH_H */
+#else /* HAVE_OPENSSL_ECDH_H */
             gf_log(this->name, GF_LOG_ERROR, "OpenSSL has no ECDH support");
 #endif /* HAVE_OPENSSL_ECDH_H */
         }
diff --git a/xlators/cluster/dht/src/dht-messages.h b/xlators/cluster/dht/src/dht-messages.h
index a7cfb551a30..2ff6fd14a81 100644
--- a/xlators/cluster/dht/src/dht-messages.h
+++ b/xlators/cluster/dht/src/dht-messages.h
@@ -43,21 +43,20 @@ GLFS_MSGID(
     DHT_MSG_OPEN_FD_FAILED, DHT_MSG_SET_INODE_CTX_FAILED,
     DHT_MSG_UNLOCKING_FAILED, DHT_MSG_DISK_LAYOUT_NULL, DHT_MSG_SUBVOL_INFO,
     DHT_MSG_CHUNK_SIZE_INFO, DHT_MSG_LAYOUT_FORM_FAILED, DHT_MSG_SUBVOL_ERROR,
-    DHT_MSG_REGEX_INFO, DHT_MSG_FOPEN_FAILED,
-    DHT_MSG_SET_HOSTNAME_FAILED, DHT_MSG_BRICK_ERROR, DHT_MSG_SYNCOP_FAILED,
-    DHT_MSG_MIGRATE_INFO, DHT_MSG_SOCKET_ERROR, DHT_MSG_CREATE_FD_FAILED,
-    DHT_MSG_READDIR_ERROR, DHT_MSG_CHILD_LOC_BUILD_FAILED,
-    DHT_MSG_SET_SWITCH_PATTERN_ERROR, DHT_MSG_COMPUTE_HASH_FAILED,
-    DHT_MSG_FIND_LAYOUT_ANOMALIES_ERROR, DHT_MSG_ANOMALIES_INFO,
-    DHT_MSG_LAYOUT_INFO, DHT_MSG_INODE_LK_ERROR, DHT_MSG_RENAME_INFO,
-    DHT_MSG_DATA_NULL, DHT_MSG_AGGREGATE_QUOTA_XATTR_FAILED,
-    DHT_MSG_UNLINK_LOOKUP_INFO, DHT_MSG_LINK_FILE_LOOKUP_INFO,
-    DHT_MSG_OPERATION_NOT_SUP, DHT_MSG_NOT_LINK_FILE_ERROR, DHT_MSG_CHILD_DOWN,
-    DHT_MSG_UUID_PARSE_ERROR, DHT_MSG_GET_DISK_INFO_ERROR,
-    DHT_MSG_INVALID_VALUE, DHT_MSG_SWITCH_PATTERN_INFO,
-    DHT_MSG_SUBVOL_OP_FAILED, DHT_MSG_LAYOUT_PRESET_FAILED,
-    DHT_MSG_INVALID_LINKFILE, DHT_MSG_FIX_LAYOUT_INFO,
-    DHT_MSG_GET_HOSTNAME_FAILED, DHT_MSG_WRITE_FAILED,
+    DHT_MSG_REGEX_INFO, DHT_MSG_FOPEN_FAILED, DHT_MSG_SET_HOSTNAME_FAILED,
+    DHT_MSG_BRICK_ERROR, DHT_MSG_SYNCOP_FAILED, DHT_MSG_MIGRATE_INFO,
+    DHT_MSG_SOCKET_ERROR, DHT_MSG_CREATE_FD_FAILED, DHT_MSG_READDIR_ERROR,
+    DHT_MSG_CHILD_LOC_BUILD_FAILED, DHT_MSG_SET_SWITCH_PATTERN_ERROR,
+    DHT_MSG_COMPUTE_HASH_FAILED, DHT_MSG_FIND_LAYOUT_ANOMALIES_ERROR,
+    DHT_MSG_ANOMALIES_INFO, DHT_MSG_LAYOUT_INFO, DHT_MSG_INODE_LK_ERROR,
+    DHT_MSG_RENAME_INFO, DHT_MSG_DATA_NULL,
+    DHT_MSG_AGGREGATE_QUOTA_XATTR_FAILED, DHT_MSG_UNLINK_LOOKUP_INFO,
+    DHT_MSG_LINK_FILE_LOOKUP_INFO, DHT_MSG_OPERATION_NOT_SUP,
+    DHT_MSG_NOT_LINK_FILE_ERROR, DHT_MSG_CHILD_DOWN, DHT_MSG_UUID_PARSE_ERROR,
+    DHT_MSG_GET_DISK_INFO_ERROR, DHT_MSG_INVALID_VALUE,
+    DHT_MSG_SWITCH_PATTERN_INFO, DHT_MSG_SUBVOL_OP_FAILED,
+    DHT_MSG_LAYOUT_PRESET_FAILED, DHT_MSG_INVALID_LINKFILE,
+    DHT_MSG_FIX_LAYOUT_INFO, DHT_MSG_GET_HOSTNAME_FAILED, DHT_MSG_WRITE_FAILED,
     DHT_MSG_MIGRATE_HARDLINK_FILE_FAILED, DHT_MSG_FSYNC_FAILED,
     DHT_MSG_SUBVOL_DECOMMISSION_INFO, DHT_MSG_BRICK_QUERY_FAILED,
     DHT_MSG_SUBVOL_NO_LAYOUT_INFO, DHT_MSG_OPEN_FD_ON_DST_FAILED,
diff --git a/xlators/features/compress/src/cdc.h b/xlators/features/compress/src/cdc.h
index 33e0bffd9f4..f164a9ca731 100644
--- a/xlators/features/compress/src/cdc.h
+++ b/xlators/features/compress/src/cdc.h
@@ -50,7 +50,7 @@ typedef struct cdc_info {
 
 /* Gzip defaults */
 #define GF_CDC_DEF_WINDOWSIZE -15 /* default value */
-#define GF_CDC_MAX_WINDOWSIZE -8  /* max value     */
+#define GF_CDC_MAX_WINDOWSIZE -8 /* max value     */
 
 #define GF_CDC_DEF_MEMLEVEL 8
 #define GF_CDC_DEF_BUFFERSIZE 262144  // 256K - default compression buffer size
diff --git a/xlators/mgmt/glusterd/src/glusterd-handler.c b/xlators/mgmt/glusterd/src/glusterd-handler.c
index 7baf4583ea2..bfbb6c3e114 100644
--- a/xlators/mgmt/glusterd/src/glusterd-handler.c
+++ b/xlators/mgmt/glusterd/src/glusterd-handler.c
@@ -966,8 +966,8 @@ __glusterd_handle_stage_op(rpcsvc_request_t *req)
         gf_msg_debug(this->name, 0, "No transaction's opinfo set");
 
         state = GD_OP_STATE_LOCKED;
-        glusterd_txn_opinfo_init(&txn_op_info, state, &op_req.op,
-                                 req_ctx->dict, req);
+        glusterd_txn_opinfo_init(&txn_op_info, state, &op_req.op, req_ctx->dict,
+                                 req);
 
         if (req_ctx->op != GD_OP_GSYNC_SET)
             txn_op_info.skip_locking = _gf_true;
diff --git a/xlators/mgmt/glusterd/src/glusterd-op-sm.c b/xlators/mgmt/glusterd/src/glusterd-op-sm.c
index b546dbf7807..168c3acbea0 100644
--- a/xlators/mgmt/glusterd/src/glusterd-op-sm.c
+++ b/xlators/mgmt/glusterd/src/glusterd-op-sm.c
@@ -131,8 +131,8 @@ glusterd_txn_opinfo_dict_fini()
 
 void
 glusterd_txn_opinfo_init(glusterd_op_info_t *opinfo,
-                         glusterd_op_sm_state_t state, int *op,
-                         dict_t *op_ctx, rpcsvc_request_t *req)
+                         glusterd_op_sm_state_t state, int *op, dict_t *op_ctx,
+                         rpcsvc_request_t *req)
 {
     glusterd_conf_t *conf = NULL;
 
@@ -5826,9 +5826,9 @@ glusterd_op_sm_transition_state(glusterd_op_info_t *opinfo,
     conf = THIS->private;
     GF_ASSERT(conf);
 
-    (void)glusterd_sm_tr_log_transition_add(
-        &conf->op_sm_log, opinfo->state, state[event_type].next_state,
-        event_type);
+    (void)glusterd_sm_tr_log_transition_add(&conf->op_sm_log, opinfo->state,
+                                            state[event_type].next_state,
+                                            event_type);
 
     opinfo->state = state[event_type].next_state;
     return 0;
diff --git a/xlators/mgmt/glusterd/src/glusterd-svc-mgmt.c b/xlators/mgmt/glusterd/src/glusterd-svc-mgmt.c
index aacdfe2d778..910e20a6820 100644
--- a/xlators/mgmt/glusterd/src/glusterd-svc-mgmt.c
+++ b/xlators/mgmt/glusterd/src/glusterd-svc-mgmt.c
@@ -435,9 +435,10 @@ glusterd_muxsvc_common_rpc_notify(glusterd_svc_proc_t *mux_proc,
                 }
             }
             if (mux_proc->status != GF_SVC_DIED) {
-                svc = (cds_list_empty(&mux_proc->svcs) ? NULL :
-                       cds_list_entry(mux_proc->svcs.next, glusterd_svc_t,
-                                      mux_svc));
+                svc = (cds_list_empty(&mux_proc->svcs)
+                           ? NULL
+                           : cds_list_entry(mux_proc->svcs.next, glusterd_svc_t,
+                                            mux_svc));
                 if (svc && !glusterd_proc_is_running(&svc->proc)) {
                     mux_proc->status = GF_SVC_DIED;
                 } else {
diff --git a/xlators/mgmt/glusterd/src/glusterd-volume-set.c b/xlators/mgmt/glusterd/src/glusterd-volume-set.c
index b7ec75b912d..983c150230a 100644
--- a/xlators/mgmt/glusterd/src/glusterd-volume-set.c
+++ b/xlators/mgmt/glusterd/src/glusterd-volume-set.c
@@ -1057,7 +1057,7 @@ struct volopt_map_entry glusterd_volopt_map[] = {
     {.key = "cluster.ensure-durability",
      .voltype = "cluster/replicate",
      .op_version = 3,
-    .type = NO_DOC,
+     .type = NO_DOC,
      .flags = VOLOPT_FLAG_CLIENT_OPT},
     {.key = "cluster.consistent-metadata",
      .voltype = "cluster/replicate",
@@ -3105,7 +3105,7 @@ struct volopt_map_entry glusterd_volopt_map[] = {
 
     {.key = "rebalance.ensure-durability",
      .voltype = "cluster/distribute",
-    .type = NO_DOC,
+     .type = NO_DOC,
      .op_version = GD_OP_VERSION_10_0,
      .flags = VOLOPT_FLAG_CLIENT_OPT},
     {.key = NULL}};
diff --git a/xlators/mgmt/glusterd/src/glusterd.c b/xlators/mgmt/glusterd/src/glusterd.c
index 7d4bb5de7f5..6b7af642282 100644
--- a/xlators/mgmt/glusterd/src/glusterd.c
+++ b/xlators/mgmt/glusterd/src/glusterd.c
@@ -935,7 +935,7 @@ configure_syncdaemon(glusterd_conf_t *conf)
     return ret ? -1 : 0;
 }
 #undef RUN_GSYNCD_CMD
-#else  /* SYNCDAEMON_COMPILE */
+#else /* SYNCDAEMON_COMPILE */
 static int
 configure_syncdaemon(glusterd_conf_t *conf)
 {
diff --git a/xlators/storage/posix/src/posix-helpers.c b/xlators/storage/posix/src/posix-helpers.c
index 110af8e3def..78f39de020f 100644
--- a/xlators/storage/posix/src/posix-helpers.c
+++ b/xlators/storage/posix/src/posix-helpers.c
@@ -1321,7 +1321,7 @@ posix_fhandle_pair(call_frame_t *frame, xlator_t *this, int fd, char *key,
                        "fd=%d: key:%s", fd, key);
             }
 
-#else  /* ! DARWIN */
+#else /* ! DARWIN */
             gf_msg(this->name, GF_LOG_ERROR, errno, P_MSG_XATTR_FAILED,
                    "fd=%d: key:%s", fd, key);
 #endif /* DARWIN */
diff --git a/xlators/storage/posix/src/posix-inode-fd-ops.c b/xlators/storage/posix/src/posix-inode-fd-ops.c
index fb7b7f004fc..26ab6b055ac 100644
--- a/xlators/storage/posix/src/posix-inode-fd-ops.c
+++ b/xlators/storage/posix/src/posix-inode-fd-ops.c
@@ -1108,7 +1108,7 @@ posix_discard(call_frame_t *frame, xlator_t *this, fd_t *fd, off_t offset,
 #ifndef FALLOC_FL_KEEP_SIZE
     ret = EOPNOTSUPP;
 
-#else  /* FALLOC_FL_KEEP_SIZE */
+#else /* FALLOC_FL_KEEP_SIZE */
     int32_t flags = FALLOC_FL_KEEP_SIZE | FALLOC_FL_PUNCH_HOLE;
     struct iatt statpre = {
         0,
